Bug 1293027 - [abrt] texstudio: Texstudio::recoverFromCrash()(): texstudio killed by SIGABRT
[abrt] texstudio: Texstudio::recoverFromCrash()(): texstudio killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texstudio (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0cf68e2542696de600204386a29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 06:32 EST by mithrial
Modified: 2016-12-20 13:19 EST (History)
1 user (show)

See Also:
Fixed In Version: texstudio-2.11.2-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:10:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.89 KB, text/plain)
2015-12-19 06:32 EST, mithrial
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-19 06:32 EST, mithrial
no flags Details
File: core_backtrace (48.02 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: dso_list (15.68 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: environ (2.06 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: maps (76.99 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: mountinfo (4.60 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: open_fds (2.77 KB, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details
File: var_log_messages (296 bytes, text/plain)
2015-12-19 06:33 EST, mithrial
no flags Details

  None (edit)
Description mithrial 2015-12-19 06:32:51 EST
Version-Release number of selected component:
texstudio-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        texstudio
crash_function: Texstudio::recoverFromCrash()
executable:     /usr/bin/texstudio
global_pid:     4839
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #37 Texstudio::recoverFromCrash() at texstudio.cpp:9941
 #38 LatexDocument::addElementWithSignal(StructureEntry*, StructureEntry*) at latexdocument.cpp:2541
Comment 1 mithrial 2015-12-19 06:32:56 EST
Created attachment 1107676 [details]
File: backtrace
Comment 2 mithrial 2015-12-19 06:32:58 EST
Created attachment 1107677 [details]
File: cgroup
Comment 3 mithrial 2015-12-19 06:33:00 EST
Created attachment 1107678 [details]
File: core_backtrace
Comment 4 mithrial 2015-12-19 06:33:01 EST
Created attachment 1107679 [details]
File: dso_list
Comment 5 mithrial 2015-12-19 06:33:03 EST
Created attachment 1107680 [details]
File: environ
Comment 6 mithrial 2015-12-19 06:33:04 EST
Created attachment 1107681 [details]
File: limits
Comment 7 mithrial 2015-12-19 06:33:06 EST
Created attachment 1107682 [details]
File: maps
Comment 8 mithrial 2015-12-19 06:33:07 EST
Created attachment 1107683 [details]
File: mountinfo
Comment 9 mithrial 2015-12-19 06:33:09 EST
Created attachment 1107684 [details]
File: namespaces
Comment 10 mithrial 2015-12-19 06:33:10 EST
Created attachment 1107685 [details]
File: open_fds
Comment 11 mithrial 2015-12-19 06:33:12 EST
Created attachment 1107686 [details]
File: proc_pid_status
Comment 12 mithrial 2015-12-19 06:33:13 EST
Created attachment 1107687 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-10-24 22:21:42 EDT
texstudio-2.11.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 14 Fedora Update System 2016-11-01 16:16:33 EDT
texstudio-2.11.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 15 Fedora Update System 2016-11-04 23:30:43 EDT
texstudio-2.11.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 16 Fedora End Of Life 2016-11-24 09:22:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora Update System 2016-12-11 15:05:57 EST
texstudio-2.11.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c07a73a5d
Comment 18 Fedora Update System 2016-12-13 00:28:06 EST
texstudio-2.11.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c07a73a5d
Comment 19 Fedora End Of Life 2016-12-20 12:10:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Fedora Update System 2016-12-20 13:19:04 EST
texstudio-2.11.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.